### Method

# Vte Regex unref

#### Declaration [src]

    VteRegex*
    vte_regex_unref (
      VteRegex* regex
    )

#### Description [src]

Decreases the reference count of `regex` by one, and frees `regex` if the refcount reaches zero.

#### Parameters

`regex`

  Type: `VteRegex`

  A `VteRegex`.

  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `VteRegex`

`NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.